---
updatedAt: 2026-05-28T09:04:28.000Z
agentTools:
  projectIndex: https://developer.oneflow.com/llms.txt
---

# Create a party

Use this endpoint to create a counterparty in a contract.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "x-readme": {
    "explorer-enabled": false,
    "samples-languages": [
      "curl",
      "python"
    ]
  },
  "info": {
    "description": "This section describes all Oneflow public APIs and their methods used for creating and interacting with Oneflow contracts. All references are grouped into several main categories according to their function:",
    "version": "1",
    "title": "Public API for Oneflow"
  },
  "servers": [
    {
      "url": "https://{hostname}/v1",
      "variables": {
        "hostname": {
          "default": "api.oneflow.com"
        }
      }
    }
  ],
  "paths": {
    "/contracts/{contract_id}/parties": {
      "post": {
        "summary": "Create a party",
        "operationId": "create-a-party",
        "description": "Use this endpoint to create a counterparty in a contract.",
        "parameters": [
          {
            "name": "x-oneflow-api-token",
            "description": "The API key of your Oneflow account.",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": "^[a-zA-Z0-9-]+$",
              "minLength": 40,
              "maxLength": 40
            },
            "example": "9841f1ee533681c3ea6a438560f2bb6c73b76675"
          },
          {
            "name": "x-oneflow-user-email",
            "description": "The email address of a registered Oneflow user.",
            "required": true,
            "in": "header",
            "schema": {
              "type": "string",
              "format": "email",
              "example": "john.doe@oneflow.com"
            },
            "x-oneflow-replace": {
              "schema": {
                "type": "string",
                "format": "email",
                "example": "john.doe@oneflow.com"
              }
            }
          },
          {
            "name": "contract_id",
            "in": "path",
            "required": true,
            "description": "The unique ID of the contract.",
            "schema": {
              "type": "integer",
              "format": "signed_integer_id"
            },
            "example": 10001
          }
        ],
        "requestBody": {
          "description": "Request body parameters for creating a party.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "oneOf": [
                  {
                    "title": "Company",
                    "description": "The contract party with the company type is a legal entity involved in the contract. More than one participant can sign a contract on behalf of the party with the company type.",
                    "type": "object",
                    "additionalProperties": false,
                    "required": [
                      "name",
                      "participants",
                      "type"
                    ],
                    "properties": {
                      "_private_ownerside": {
                        "type": "object",
                        "additionalProperties": false,
                        "description": "Contract party attributes that are private to the ownerside.",
                        "properties": {
                          "custom_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 100,
                            "nullable": true
                          }
                        }
                      },
                      "country_code": {
                        "description": "The country code of the contract party.",
                        "type": "string",
                        "format": "country_code"
                      },
                      "identification_number": {
                        "description": "The unique organization number of the contract party.",
                        "type": "string",
                        "minLength": 0,
                        "maxLength": 25
                      },
                      "name": {
                        "description": "The name of the contract party.",
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 100,
                        "example": "Company AB"
                      },
                      "participants": {
                        "description": "The list of the contract party participants.",
                        "type": "array",
                        "minItems": 1,
                        "items": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "delivery_channel",
                            "name"
                          ],
                          "description": "The person who represents in a contract, see [Participant](https://developer.oneflow.com/docs/participant).",
                          "properties": {
                            "_permissions": {
                              "type": "object",
                              "additionalProperties": false,
                              "description": "Defines permissions for the participant on the contract.",
                              "default": {
                                "contract:update": false
                              },
                              "nullable": false,
                              "required": [
                                "contract:update"
                              ],
                              "properties": {
                                "contract:update": {
                                  "description": "If set to <b>true</b>, the participant is allowed to update the contract.",
                                  "type": "boolean",
                                  "default": false
                                }
                              }
                            },
                            "_private_ownerside": {
                              "type": "object",
                              "additionalProperties": false,
                              "description": "Contract participant attributes that are private to the ownerside.",
                              "properties": {
                                "custom_id": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 100,
                                  "nullable": true
                                }
                              }
                            },
                            "delivery_channel": {
                              "type": "string",
                              "description": "One of the contract [delivery channels](contract#delivery-channels).",
                              "enum": [
                                "email",
                                "sms",
                                "email_and_sms",
                                "same_device",
                                "none",
                                "unknown"
                              ]
                            },
                            "email": {
                              "description": "The participant's email. An email is required in case of an owner-side participant or if the delivery channel is `email`.",
                              "type": "string",
                              "format": "email"
                            },
                            "identification_number": {
                              "description": "The social security number of the participant.",
                              "type": "string",
                              "minLength": 0,
                              "maxLength": 25
                            },
                            "name": {
                              "description": "The participant's name.",
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 100,
                              "example": "Firstname Lastname"
                            },
                            "phone_number": {
                              "description": "The participant's phone number. If the delivery channel is `phone number`, then the participant's phone number is required.",
                              "type": "string",
                              "minLength": 0,
                              "maxLength": 50,
                              "nullable": true
                            },
                            "sign_method": {
                              "type": "string",
                              "description": "One of the [sign methods](contract#sign-methods).",
                              "enum": [
                                "standard_esign",
                                "sms",
                                "swedish_bankid",
                                "norwegian_bankid",
                                "danish_mitid",
                                "finnish_bankid",
                                "handwritten_signature",
                                "eid_sign"
                              ]
                            },
                            "signatory": {
                              "description": "If <b>true</b>, the participant can sign the contract.",
                              "type": "boolean",
                              "default": false
                            },
                            "title": {
                              "description": "The title of the participant.",
                              "type": "string",
                              "minLength": 0,
                              "maxLength": 100
                            },
                            "two_step_authentication_method": {
                              "type": "string",
                              "description": "One of the [two step authentication methods](contract#two-step-authentication-methods).",
                              "enum": [
                                "email",
                                "sms",
                                "personal_identification",
                                "none",
                                "unknown"
                              ]
                            }
                          }
                        }
                      },
                      "type": {
                        "type": "string",
                        "description": "Can only be `company`.",
                        "enum": [
                          "company"
                        ]
                      }
                    }
                  },
                  {
                    "title": "Individual",
                    "description": "The contract party of the individual type with a single participant who signs the contract on his or her own behalf.",
                    "type": "object",
                    "additionalProperties": false,
                    "required": [
                      "participant",
                      "type"
                    ],
                    "properties": {
                      "_private_ownerside": {
                        "type": "object",
                        "additionalProperties": false,
                        "description": "Contract party attributes that are private to the ownerside.",
                        "properties": {
                          "custom_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 100,
                            "nullable": true
                          }
                        }
                      },
                      "country_code": {
                        "description": "The country code of the individual contract party.",
                        "type": "string",
                        "format": "country_code"
                      },
                      "participant": {
                        "type": "object",
                        "additionalProperties": false,
                        "required": [
                          "delivery_channel",
                          "name"
                        ],
                        "description": "The person who represents in a contract, see [Participant](https://developer.oneflow.com/docs/participant).",
                        "properties": {
                          "_permissions": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Defines permissions for the participant on the contract.",
                            "default": {
                              "contract:update": false
                            },
                            "nullable": false,
                            "required": [
                              "contract:update"
                            ],
                            "properties": {
                              "contract:update": {
                                "description": "If set to <b>true</b>, the participant is allowed to update the contract.",
                                "type": "boolean",
                                "default": false
                              }
                            }
                          },
                          "_private_ownerside": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Contract participant attributes that are private to the ownerside.",
                            "properties": {
                              "custom_id": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 100,
                                "nullable": true
                              }
                            }
                          },
                          "delivery_channel": {
                            "type": "string",
                            "description": "One of the contract [delivery channels](contract#delivery-channels).",
                            "enum": [
                              "email",
                              "sms",
                              "email_and_sms",
                              "same_device",
                              "none",
                              "unknown"
                            ]
                          },
                          "email": {
                            "description": "The participant's email. An email is required in case of an owner-side participant or if the delivery channel is `email`.",
                            "type": "string",
                            "format": "email"
                          },
                          "identification_number": {
                            "description": "The social security number of the participant.",
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 25
                          },
                          "name": {
                            "description": "The participant's name.",
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 100,
                            "example": "Firstname Lastname"
                          },
                          "phone_number": {
                            "description": "The participant's phone number. If the delivery channel is `phone number`, then the participant's phone number is required.",
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 50,
                            "nullable": true
                          },
                          "sign_method": {
                            "type": "string",
                            "description": "One of the [sign methods](contract#sign-methods).",
                            "enum": [
                              "standard_esign",
                              "sms",
                              "swedish_bankid",
                              "norwegian_bankid",
                              "danish_mitid",
                              "finnish_bankid",
                              "handwritten_signature",
                              "eid_sign"
                            ]
                          },
                          "signatory": {
                            "description": "If <b>true</b>, the participant can sign the contract.",
                            "type": "boolean",
                            "default": false
                          },
                          "title": {
                            "description": "The title of the participant.",
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 100
                          },
                          "two_step_authentication_method": {
                            "type": "string",
                            "description": "One of the [two step authentication methods](contract#two-step-authentication-methods).",
                            "enum": [
                              "email",
                              "sms",
                              "personal_identification",
                              "none",
                              "unknown"
                            ]
                          }
                        }
                      },
                      "type": {
                        "type": "string",
                        "description": "Can only be `individual`.",
                        "enum": [
                          "individual"
                        ]
                      }
                    }
                  }
                ]
              },
              "examples": {
                "contractPartyCreateCompanyRequestExample": {
                  "value": {
                    "_private_ownerside": {
                      "custom_id": "custom_id_party_1"
                    },
                    "country_code": "SE",
                    "identification_number": "11223344-5577",
                    "name": "Company AB",
                    "participants": [
                      {
                        "_permissions": {
                          "contract:update": true
                        },
                        "_private_ownerside": {
                          "custom_id": "custom_id_participant_1"
                        },
                        "delivery_channel": "email",
                        "email": "mem@email.com",
                        "identification_number": "10034544-0077",
                        "name": "Firstname Lastname",
                        "phone_number": "+111222333555",
                        "sign_method": "standard_esign",
                        "signatory": true,
                        "title": "Sales Manager",
                        "two_step_authentication_method": "email"
                      }
                    ],
                    "type": "company"
                  }
                },
                "contractPartyCreateIndividualRequestExample": {
                  "value": {
                    "country_code": "SE",
                    "participant": {
                      "_permissions": {
                        "contract:update": true
                      },
                      "_private_ownerside": {
                        "custom_id": null
                      },
                      "delivery_channel": "email",
                      "email": "individual@email.com",
                      "identification_number": "10034544-0088",
                      "name": "Firstname2 Lastname2",
                      "phone_number": "+111222333666",
                      "sign_method": "standard_esign",
                      "signatory": true,
                      "title": "Sales Manager",
                      "two_step_authentication_method": "email"
                    },
                    "type": "individual"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returns the created [party](party).",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "title": "Company",
                      "description": "The participants are signing on behalf of this company. See [Company party](https://developer.oneflow.com/docs/party#company).",
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "_private_ownerside",
                        "country_code",
                        "id",
                        "identification_number",
                        "my_party",
                        "name",
                        "participants",
                        "type"
                      ],
                      "properties": {
                        "_links": {
                          "type": "object",
                          "additionalProperties": false,
                          "description": "Links to related endpoints.",
                          "properties": {
                            "comments": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "contracts": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "contract": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "create": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "data_field": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "data_fields": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "events": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "event": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "files": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "file": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "next": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "parties": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "party": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "previous": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "publish": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "self": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "template_types": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "template_type": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "template": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "templates": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "workspaces": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "workspace": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "playbooks": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            }
                          }
                        },
                        "_private_ownerside": {
                          "type": "object",
                          "description": "Party data that is private to the ownerside.",
                          "nullable": true,
                          "required": [
                            "created_time",
                            "custom_id",
                            "updated_time"
                          ],
                          "properties": {
                            "created_time": {
                              "type": "string",
                              "format": "datetime"
                            },
                            "custom_id": {
                              "type": "string",
                              "nullable": true
                            },
                            "updated_time": {
                              "type": "string",
                              "format": "datetime",
                              "nullable": true
                            }
                          }
                        },
                        "country_code": {
                          "type": "string",
                          "format": "country_code"
                        },
                        "id": {
                          "type": "integer",
                          "format": "signed_integer_id"
                        },
                        "identification_number": {
                          "type": "string"
                        },
                        "my_party": {
                          "type": "boolean"
                        },
                        "name": {
                          "type": "string",
                          "minLength": 1
                        },
                        "participants": {
                          "description": "The maximum number of participants per contract across all parties is 40.",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "nullable": false,
                            "additionalProperties": false,
                            "description": "See [Participant](https://developer.oneflow.com/docs/participant).",
                            "required": [
                              "_permissions",
                              "_private_ownerside",
                              "delivery_channel",
                              "delivery_status",
                              "email",
                              "id",
                              "identification_number",
                              "my_participant",
                              "name",
                              "organizer",
                              "phone_number",
                              "sign_method",
                              "sign_state",
                              "sign_state_updated_time",
                              "signatory",
                              "title",
                              "two_step_authentication_method"
                            ],
                            "properties": {
                              "_links": {
                                "type": "object",
                                "additionalProperties": false,
                                "description": "Links to related endpoints.",
                                "properties": {
                                  "comments": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "contracts": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "contract": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "create": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "data_field": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "data_fields": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "events": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "event": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "files": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "file": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "next": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "parties": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "party": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "previous": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "publish": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "self": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "template_types": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "template_type": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "template": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "templates": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "workspaces": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "workspace": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  },
                                  "playbooks": {
                                    "type": "object",
                                    "properties": {
                                      "href": {
                                        "type": "string",
                                        "nullable": true
                                      }
                                    }
                                  }
                                }
                              },
                              "_permissions": {
                                "type": "object",
                                "additionalProperties": false,
                                "description": "This attribute contains the permissions for the participant/creator on the contract.",
                                "required": [
                                  "contract:update"
                                ],
                                "properties": {
                                  "contract:update": {
                                    "type": "boolean"
                                  }
                                }
                              },
                              "_private_ownerside": {
                                "type": "object",
                                "description": "Participant data that is private to the ownerside.",
                                "nullable": true,
                                "required": [
                                  "created_time",
                                  "custom_id",
                                  "first_visited_time",
                                  "last_visited_time",
                                  "updated_time",
                                  "visits"
                                ],
                                "properties": {
                                  "created_time": {
                                    "type": "string",
                                    "format": "datetime"
                                  },
                                  "custom_id": {
                                    "type": "string",
                                    "nullable": true
                                  },
                                  "first_visited_time": {
                                    "type": "string",
                                    "format": "datetime",
                                    "nullable": true
                                  },
                                  "last_visited_time": {
                                    "type": "string",
                                    "format": "datetime",
                                    "nullable": true
                                  },
                                  "updated_time": {
                                    "type": "string",
                                    "format": "datetime",
                                    "nullable": true
                                  },
                                  "visits": {
                                    "type": "integer"
                                  }
                                }
                              },
                              "delivery_channel": {
                                "type": "string",
                                "description": "One of the contract [delivery channels](contract#delivery-channels).",
                                "enum": [
                                  "email",
                                  "sms",
                                  "email_and_sms",
                                  "same_device",
                                  "none",
                                  "unknown"
                                ]
                              },
                              "delivery_status": {
                                "type": "string",
                                "description": "One of the contract [delivery status](contract-participant#delivery-status).",
                                "enum": [
                                  "not_sent",
                                  "pending",
                                  "failure",
                                  "bounce",
                                  "success",
                                  "opened",
                                  "unknown"
                                ]
                              },
                              "draft_approver": {
                                "description": "A flag to indicate if the participant is a draft approver.",
                                "type": "boolean"
                              },
                              "email": {
                                "type": "string",
                                "format": "email"
                              },
                              "id": {
                                "type": "integer",
                                "format": "signed_integer_id"
                              },
                              "identification_number": {
                                "type": "string"
                              },
                              "my_participant": {
                                "type": "boolean"
                              },
                              "name": {
                                "type": "string",
                                "minLength": 1,
                                "nullable": true
                              },
                              "organizer": {
                                "description": "A flag to indicate if the participant is an organizer combined with the permissions.",
                                "type": "boolean"
                              },
                              "pending_approver": {
                                "description": "A flag to indicate if the participant is a pending approver.",
                                "type": "boolean"
                              },
                              "phone_number": {
                                "type": "string",
                                "nullable": true
                              },
                              "sign_method": {
                                "type": "string",
                                "description": "One of the [sign methods](contract#sign-methods).",
                                "enum": [
                                  "standard_esign",
                                  "sms",
                                  "swedish_bankid",
                                  "norwegian_bankid",
                                  "danish_mitid",
                                  "finnish_bankid",
                                  "handwritten_signature",
                                  "eid_sign",
                                  "unknown"
                                ]
                              },
                              "sign_state": {
                                "type": "string",
                                "description": "One of the [sign states](contract-participant#sign-state).",
                                "enum": [
                                  "undecided",
                                  "signed",
                                  "declined",
                                  "unknown"
                                ]
                              },
                              "sign_state_updated_time": {
                                "type": "string",
                                "format": "datetime",
                                "nullable": true
                              },
                              "signatory": {
                                "description": "A flag to indicate if the participant is an signatory combined with the permissions.",
                                "type": "boolean"
                              },
                              "title": {
                                "type": "string"
                              },
                              "two_step_authentication_method": {
                                "type": "string",
                                "description": "One of the [two step authentication methods](contract#two-step-authentication-methods).",
                                "enum": [
                                  "email",
                                  "sms",
                                  "personal_identification",
                                  "none",
                                  "unknown"
                                ]
                              }
                            }
                          }
                        },
                        "type": {
                          "type": "string",
                          "description": "Can only be `company`.",
                          "enum": [
                            "company"
                          ]
                        }
                      }
                    },
                    {
                      "title": "Individual",
                      "description": "An individual party, where a single participant is signing on behalf of him- or herself. See [Individual party](https://developer.oneflow.com/docs/party#individual)",
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "_private_ownerside",
                        "country_code",
                        "id",
                        "identification_number",
                        "my_party",
                        "name",
                        "participant",
                        "type"
                      ],
                      "properties": {
                        "_links": {
                          "type": "object",
                          "additionalProperties": false,
                          "description": "Links to related endpoints.",
                          "properties": {
                            "comments": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "contracts": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "contract": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "create": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "data_field": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "data_fields": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "events": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "event": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "files": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "file": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "next": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "parties": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "party": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "previous": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "publish": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "self": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "template_types": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "template_type": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "template": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "templates": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "workspaces": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "workspace": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            },
                            "playbooks": {
                              "type": "object",
                              "properties": {
                                "href": {
                                  "type": "string",
                                  "nullable": true
                                }
                              }
                            }
                          }
                        },
                        "_private_ownerside": {
                          "type": "object",
                          "description": "Party data that is private to the ownerside.",
                          "nullable": true,
                          "required": [
                            "created_time",
                            "custom_id",
                            "updated_time"
                          ],
                          "properties": {
                            "created_time": {
                              "type": "string",
                              "format": "datetime"
                            },
                            "custom_id": {
                              "type": "string",
                              "nullable": true
                            },
                            "updated_time": {
                              "type": "string",
                              "format": "datetime",
                              "nullable": true
                            }
                          }
                        },
                        "country_code": {
                          "type": "string",
                          "format": "country_code"
                        },
                        "id": {
                          "type": "integer",
                          "format": "signed_integer_id"
                        },
                        "identification_number": {
                          "type": "string"
                        },
                        "my_party": {
                          "type": "boolean"
                        },
                        "name": {
                          "type": "string",
                          "minLength": 1,
                          "nullable": true
                        },
                        "participant": {
                          "type": "object",
                          "nullable": false,
                          "additionalProperties": false,
                          "description": "See [Participant](https://developer.oneflow.com/docs/participant).",
                          "required": [
                            "_permissions",
                            "_private_ownerside",
                            "delivery_channel",
                            "delivery_status",
                            "email",
                            "id",
                            "identification_number",
                            "my_participant",
                            "name",
                            "organizer",
                            "phone_number",
                            "sign_method",
                            "sign_state",
                            "sign_state_updated_time",
                            "signatory",
                            "title",
                            "two_step_authentication_method"
                          ],
                          "properties": {
                            "_links": {
                              "type": "object",
                              "additionalProperties": false,
                              "description": "Links to related endpoints.",
                              "properties": {
                                "comments": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "contracts": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "contract": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "create": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "data_field": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "data_fields": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "events": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "event": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "files": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "file": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "next": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "parties": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "party": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "previous": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "publish": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "self": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "template_types": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "template_type": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "template": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "templates": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "workspaces": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "workspace": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                },
                                "playbooks": {
                                  "type": "object",
                                  "properties": {
                                    "href": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                }
                              }
                            },
                            "_permissions": {
                              "type": "object",
                              "additionalProperties": false,
                              "description": "This attribute contains the permissions for the participant/creator on the contract.",
                              "required": [
                                "contract:update"
                              ],
                              "properties": {
                                "contract:update": {
                                  "type": "boolean"
                                }
                              }
                            },
                            "_private_ownerside": {
                              "type": "object",
                              "description": "Participant data that is private to the ownerside.",
                              "nullable": true,
                              "required": [
                                "created_time",
                                "custom_id",
                                "first_visited_time",
                                "last_visited_time",
                                "updated_time",
                                "visits"
                              ],
                              "properties": {
                                "created_time": {
                                  "type": "string",
                                  "format": "datetime"
                                },
                                "custom_id": {
                                  "type": "string",
                                  "nullable": true
                                },
                                "first_visited_time": {
                                  "type": "string",
                                  "format": "datetime",
                                  "nullable": true
                                },
                                "last_visited_time": {
                                  "type": "string",
                                  "format": "datetime",
                                  "nullable": true
                                },
                                "updated_time": {
                                  "type": "string",
                                  "format": "datetime",
                                  "nullable": true
                                },
                                "visits": {
                                  "type": "integer"
                                }
                              }
                            },
                            "delivery_channel": {
                              "type": "string",
                              "description": "One of the contract [delivery channels](contract#delivery-channels).",
                              "enum": [
                                "email",
                                "sms",
                                "email_and_sms",
                                "same_device",
                                "none",
                                "unknown"
                              ]
                            },
                            "delivery_status": {
                              "type": "string",
                              "description": "One of the contract [delivery status](contract-participant#delivery-status).",
                              "enum": [
                                "not_sent",
                                "pending",
                                "failure",
                                "bounce",
                                "success",
                                "opened",
                                "unknown"
                              ]
                            },
                            "draft_approver": {
                              "description": "A flag to indicate if the participant is a draft approver.",
                              "type": "boolean"
                            },
                            "email": {
                              "type": "string",
                              "format": "email"
                            },
                            "id": {
                              "type": "integer",
                              "format": "signed_integer_id"
                            },
                            "identification_number": {
                              "type": "string"
                            },
                            "my_participant": {
                              "type": "boolean"
                            },
                            "name": {
                              "type": "string",
                              "minLength": 1,
                              "nullable": true
                            },
                            "organizer": {
                              "description": "A flag to indicate if the participant is an organizer combined with the permissions.",
                              "type": "boolean"
                            },
                            "pending_approver": {
                              "description": "A flag to indicate if the participant is a pending approver.",
                              "type": "boolean"
                            },
                            "phone_number": {
                              "type": "string",
                              "nullable": true
                            },
                            "sign_method": {
                              "type": "string",
                              "description": "One of the [sign methods](contract#sign-methods).",
                              "enum": [
                                "standard_esign",
                                "sms",
                                "swedish_bankid",
                                "norwegian_bankid",
                                "danish_mitid",
                                "finnish_bankid",
                                "handwritten_signature",
                                "eid_sign",
                                "unknown"
                              ]
                            },
                            "sign_state": {
                              "type": "string",
                              "description": "One of the [sign states](contract-participant#sign-state).",
                              "enum": [
                                "undecided",
                                "signed",
                                "declined",
                                "unknown"
                              ]
                            },
                            "sign_state_updated_time": {
                              "type": "string",
                              "format": "datetime",
                              "nullable": true
                            },
                            "signatory": {
                              "description": "A flag to indicate if the participant is an signatory combined with the permissions.",
                              "type": "boolean"
                            },
                            "title": {
                              "type": "string"
                            },
                            "two_step_authentication_method": {
                              "type": "string",
                              "description": "One of the [two step authentication methods](contract#two-step-authentication-methods).",
                              "enum": [
                                "email",
                                "sms",
                                "personal_identification",
                                "none",
                                "unknown"
                              ]
                            }
                          }
                        },
                        "type": {
                          "type": "string",
                          "description": "Can only be `individual`.",
                          "enum": [
                            "individual"
                          ]
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "contractPartyCreateCompanyResponseExample": {
                    "description": "A sample response with a created company party in a contract:",
                    "value": {
                      "_links": {
                        "contract": {
                          "href": "https://api.oneflow.com/v1/contracts/10001"
                        },
                        "self": {
                          "href": "https://api.oneflow.com/v1/contracts/10001/parties/470002"
                        }
                      },
                      "_private_ownerside": {
                        "created_time": "2023-04-27T11:29:36+00:00",
                        "custom_id": "custom_id_party_1",
                        "updated_time": "2023-04-27T11:29:36+00:00"
                      },
                      "country_code": "SE",
                      "id": 470002,
                      "identification_number": "11223344-5577",
                      "my_party": false,
                      "name": "Company AB",
                      "participants": [
                        {
                          "_permissions": {
                            "contract:update": true
                          },
                          "_private_ownerside": {
                            "created_time": "2023-04-27T11:29:36+00:00",
                            "custom_id": "custom_id_participant_1",
                            "first_visited_time": null,
                            "last_visited_time": null,
                            "updated_time": "2023-04-27T11:29:36+00:00",
                            "visits": 0
                          },
                          "delivery_channel": "email",
                          "delivery_status": "success",
                          "draft_approver": false,
                          "email": "mem@email.com",
                          "id": 230002,
                          "identification_number": "10034544-0077",
                          "my_participant": false,
                          "name": "Firstname Lastname",
                          "organizer": false,
                          "pending_approver": false,
                          "phone_number": "+111222333555",
                          "sign_method": "standard_esign",
                          "sign_state": "undecided",
                          "sign_state_updated_time": null,
                          "signatory": true,
                          "title": "Sales Manager",
                          "two_step_authentication_method": "email"
                        }
                      ],
                      "type": "company"
                    }
                  },
                  "contractPartyCreateIndividualResponseExample": {
                    "description": "A sample response with a created party in a contract:",
                    "value": {
                      "_links": {
                        "contract": {
                          "href": "https://api.oneflow.com/v1/contracts/10001"
                        },
                        "self": {
                          "href": "https://api.oneflow.com/v1/contracts/10001/parties/470003"
                        }
                      },
                      "_private_ownerside": {
                        "created_time": "2023-04-27T11:29:36+00:00",
                        "custom_id": "custom_id_party_1",
                        "updated_time": "2023-04-27T11:29:36+00:00"
                      },
                      "country_code": "SE",
                      "id": 470003,
                      "identification_number": "10034544-0088",
                      "my_party": false,
                      "name": "Firstname2 Lastname2",
                      "participant": {
                        "_permissions": {
                          "contract:update": true
                        },
                        "_private_ownerside": {
                          "created_time": "2023-04-27T11:29:36+00:00",
                          "custom_id": null,
                          "first_visited_time": null,
                          "last_visited_time": null,
                          "updated_time": "2023-04-27T11:29:36+00:00",
                          "visits": 0
                        },
                        "delivery_channel": "email",
                        "delivery_status": "success",
                        "draft_approver": false,
                        "email": "individual@email.com",
                        "id": 230003,
                        "identification_number": "10034544-0088",
                        "my_participant": false,
                        "name": "Firstname2 Lastname2",
                        "organizer": false,
                        "pending_approver": false,
                        "phone_number": "+111222333666",
                        "sign_method": "standard_esign",
                        "sign_state": "undecided",
                        "sign_state_updated_time": null,
                        "signatory": true,
                        "title": "Sales Manager",
                        "two_step_authentication_method": "email"
                      },
                      "type": "individual"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid format or content of the request."
          },
          "401": {
            "description": "The API token or the user email is invalid."
          },
          "403": {
            "description": "The request is not authorized by the server."
          },
          "404": {
            "description": "A required entity is missing."
          },
          "409": {
            "description": "A conflict occurred with the current state of the target resource."
          }
        },
        "tags": [
          "Contract - Parties and Participants"
        ]
      }
    }
  }
}
```